#
# spec file for package kismet (Version 2005_08_R1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  ImageMagick ImageMagick-devel expat freetype2 freetype2-devel gcc-c++ glib glib-devel libexif liblcms liblcms-devel libstdc++ libstdc++-devel wget x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel ImageMagick ImageMagick-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib glib-devel gnome-filesystem libexif liblcms liblcms-devel libstdc++-devel libtool perl rpm wget

Name:         kismet
URL:          http://www.kismetwireless.net/
License:      GPL
Group:        Productivity/Networking/Diagnostic
Autoreqprov:  on
Requires:     wget wireless-tools
Summary:      An 802.11 Wireless Network Sniffer
Version:      2005_08_R1
Release:      4
Source0:      http://www.kismetwireless.net/code/kismet-2005-08-R1.tar.gz
Source1:      http://www.kismetwireless.net/code/kismet-2005-08-R1.tar.gz.asc
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Kismet is an 802.11 wireless network sniffer - this is different from a
normal network sniffer (such as Ethereal or tcpdump) because it
separates and identifies different wireless networks in the area.
Kismet works with any 802.11b wireless card which is capable of
reporting raw packets (rfmon support), which include any Prism2 based
card (Linksys, D-Link, Rangelan, and more), Cisco Aironet cards, and
Orinoco-based cards. Kismet also supports the WSP100 802.11b remote
sensor by Network Chemistry and is able to monitor 802.11a networks
with cards which use the ar5k chipset.



%prep
%setup -q -n %{name}-2005-08-R1

%build
%{?suse_update_config:%{suse_update_config -f .}}
autoreconf -i -f
CFLAGS="$RPM_OPT_FLAGS" 		\
  ./configure --prefix=%{_prefix}	\
  --sysconfdir=/etc			\
  --infodir=%{_infodir} 		\
  --mandir=%{_mandir}			\
  --enable-ipv6				\
  --disable-setuid		
make dep
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] \
  && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] \
  && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/etc/ap_manuf
/etc/client_manuf
%config /etc/kismet.conf
%config /etc/kismet_ui.conf
%config /etc/kismet_drone.conf
/usr/share/kismet
%{_mandir}/*/*
%{_prefix}/bin/*

%changelog -n kismet
* Mon Aug 29 2005 - mjancar@suse.cz
- update to 2005-08-R1
  * fix heap overflow (#106134)
* Fri Aug 08 2003 - meissner@suse.de
- updated to 3.0.0
* Mon Jul 28 2003 - meissner@suse.de
- /usr/bin/convert now needs libexif, added to nfb
* Fri Jul 25 2003 - meissner@suse.de
- make build on ppc64, fixed configure.in problems.
* Mon Jul 21 2003 - meissner@suse.de
- apply cast to fix 64bit problem.
- fixed default config files to use /usr/ instead of /usr/local/
* Fri Jul 18 2003 - meissner@suse.de
- package created with version 2.8.1.
